/*===========================================================================
 *
 * File:	EsmsubCTDT.H
 * Author:	Dave Humphrey (uesp@m0use.net)
 * Created On:	February 3, 2003
 *
 * Description
 *
 *=========================================================================*/
#ifndef __ESMSUBCTDT_H
#define __ESMSUBCTDT_H


/*===========================================================================
 *
 * Begin Required Includes
 *
 *=========================================================================*/
  #include "EsmSubBase.h"
/*===========================================================================
 *		End of Required Includes
 *=========================================================================*/


/*===========================================================================
 *
 * Begin Definitions
 *
 *=========================================================================*/

	/* Armor types */
  #define MWESM_CLOTHTYPE_MIN		0
  #define MWESM_CLOTHTYPE_PANTS		0
  #define MWESM_CLOTHTYPE_MAX		10

/*===========================================================================
 *		End of Definitions
 *=========================================================================*/


/*===========================================================================
 *
 * Begin Type Definitions
 *
 *=========================================================================*/
#pragma pack(push, 1)

  typedef struct {
  	long  Type;
	float Weight;
	short Value;
	short EnchantPts;
   } clothdata_t;

#pragma pack(pop)
/*===========================================================================
 *		End of Type Definitions
 *=========================================================================*/


/*===========================================================================
 *
 * Begin Class CEsmSubCTDT Definition
 *
 * Description
 *
 *=========================================================================*/
class CEsmSubCTDT : public CEsmSubRecord {

  /*---------- Begin Protected Class Members --------------------*/
protected:


  /*---------- Begin Protected Class Methods --------------------*/
protected:


  /*---------- Begin Public Class Methods -----------------------*/
public:

	/* Class Constructors/Destructors */
  //CEsmSubCTDT();
  //virtual ~CEsmSubCTDT() { Destroy(); }
  //virtual void Destroy (void);

	/* Create a name object */
  static CEsmSubRecord* Create (void) {
	CEsmSubRecord* pSubRecord;
	CreatePointerL(pSubRecord, CEsmSubCTDT);
	return (pSubRecord);
   }

	/* Create a new sub-record */
  virtual void CreateNew (void) { 
	CEsmSubRecord::CreateNew();
	CreateArrayPointerL(m_pData, byte, sizeof(clothdata_t)); 
	m_RecordSize = sizeof(clothdata_t); 
	memset(m_pData, 0, sizeof(clothdata_t));
   }

	/* Get class methods */
  clothdata_t* GetClothData (void) { return ((clothdata_t *) m_pData); }


 };
/*===========================================================================
 *		End of Class CEsmSubCTDT Definition
 *=========================================================================*/



#endif
/*===========================================================================
 *		End of File Esmsubaodt.H
 *=========================================================================*/
