/*===========================================================================
 *
 * File:	EsmsubAIDT.H
 * Author:	Dave Humphrey (uesp@m0use.net)
 * Created On:	February 3, 2003
 *
 * Description
 *
 *=========================================================================*/
#ifndef __ESMSUBAIDT_H
#define __ESMSUBAIDT_H


/*===========================================================================
 *
 * Begin Required Includes
 *
 *=========================================================================*/
  #include "EsmSubBase.h"
/*===========================================================================
 *		End of Required Includes
 *=========================================================================*/


/*===========================================================================
 *
 * Begin Definitions
 *
 *=========================================================================*/
/*===========================================================================
 *		End of Definitions
 *=========================================================================*/


/*===========================================================================
 *
 * Begin Type Definitions
 *
 *=========================================================================*/
#pragma pack(push, 1)

  typedef struct {
 	byte Hello;
	byte Unknown1;
	byte Fight;
	byte Flee;
	byte Alarm;
	byte Unknown2;
	byte Unknown3;
	byte Unknown4;
	long Flags;
  } aidata_t;

#pragma pack(pop)
/*===========================================================================
 *		End of Type Definitions
 *=========================================================================*/


/*===========================================================================
 *
 * Begin Class CEsmSubAIDT Definition
 *
 * Description
 *
 *=========================================================================*/
class CEsmSubAIDT : public CEsmSubRecord {

  /*---------- Begin Protected Class Members --------------------*/
protected:


  /*---------- Begin Protected Class Methods --------------------*/
protected:


  /*---------- Begin Public Class Methods -----------------------*/
public:

	/* Class Constructors/Destructors */
  //CEsmSubAIDT();
  //virtual ~CEsmSubAIDT() { Destroy(); }
  //virtual void Destroy (void);

	/* Create a name object */
  static CEsmSubRecord* Create (void) {
	CEsmSubRecord* pSubRecord;
	CreatePointerL(pSubRecord, CEsmSubAIDT);
	return (pSubRecord);
   }

	/* Create a new sub-record */
  virtual void CreateNew (void) { 
	CEsmSubRecord::CreateNew();
	CreateArrayPointerL(m_pData, byte, sizeof(aidata_t)); 
	m_RecordSize = sizeof(aidata_t); 
	memset(m_pData, 0, sizeof(aidata_t));
   }

	/* Get class methods */
  aidata_t* GetAIData (void) { return ((aidata_t *) m_pData); }

 };
/*===========================================================================
 *		End of Class CEsmSubAIDT Definition
 *=========================================================================*/


#endif
/*===========================================================================
 *		End of File EsmsubAIDT.H
 *=========================================================================*/
